Subject: Re: [mpls] Alvaro Retana's No Objection on draft-ietf-mpls-lsp-ping-reply-mode-simple-04: (with COMMENT)

From: Mach Chen <[email-masked]>
Date: Thu, 8 Oct 2015 02:26:30 +0000

Hi Alvaro,

Thanks for your comments, as your suggested, we will add a paragraph to section 3.1, hope this addresses your comments.

Specific to section 5.1 of [RFC7110], this document updates the first sentence as follows:

   o  When sending an echo request, in addition to the rules and
      procedures defined in Section 4.3 of [RFC4379], the Reply Mode of
      the echo request MUST be set to "Reply via Specified Path", and a
      Reply Path TLV SHOULD be carried in the echo request message
      correspondingly; if the Reply Path TLV is not carried, then it
      indicates the reverse LSP as the reply path.

Best regards,
Mach

> -----Original Message-----
> From: mpls [mailto:[email-masked]] On Behalf Of Alvaro Retana
> Sent: Thursday, October 01, 2015 1:13 AM
> To: The IESG
> Cc: [email-masked];
> [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: [mpls] Alvaro Retana's No Objection on
> draft-ietf-mpls-lsp-ping-reply-mode-simple-04: (with COMMENT)
> 
> Alvaro Retana has entered the following ballot position for
> draft-ietf-mpls-lsp-ping-reply-mode-simple-04: No Objection
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-mpls-lsp-ping-reply-mode-simple/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> I support the publication, but I would like to see the update to RFC7110 clearly
> indicated — specially because the change modifies a “MUST”
> behavior.
> 
> Section 3.1. (Reply via Specified Path Update) says that the "usage of the
> "Reply via Specified Path (5)" without inclusion of a "Reply Path TLV" is no
> longer invalid” — but "Reply via Specified Path (5)” (that specific string of text)
> doesn’t show up in RFC7110, nor does the word invalid.  In digging a little bit,
> I can see that Section 5.1. (Sending an Echo Request) of RFC7110 says: “When
> sending an echo request…the Reply Mode of the echo request MUST be set to
> "Reply via Specified Path", and a
> Reply Path TLV MUST be carried…”   In the end, I’m assuming that the
> update to RFC7110 is to change that text in 5.1 to something like “…the TLV
> SHOULD be carried; if it isn’t then it indicates the reverse LSP…”.
> Please be clear.
> 
> 
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls